pub mod queries;
pub mod requests;
pub mod responses;

use async_graphql::{Enum, InputObject};
use serde::{Deserialize, Serialize};
use uuid::Uuid;

#[derive(Debug, Deserialize, Serialize, Clone, PartialEq, Eq, Enum, Copy)]
pub enum ItemState {
    Created,
    Done,
    Archived,
    Deleted,
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq, InputObject)]
pub struct ItemDto {
    pub id: Uuid,
    pub title: String,
    pub description: Option<String>,
    pub state: ItemState,
    pub project_id: Uuid,
}
