use async_graphql::InputObject;
use serde::{Deserialize, Serialize};
use uuid::Uuid;

use super::ItemState;

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq, InputObject)]
pub struct CreateItemDto {
    pub title: String,
    pub description: Option<String>,
    pub project_id: Uuid,
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq, InputObject)]
pub struct UpdateItemDto {
    pub id: Uuid,
    pub title: Option<String>,
    pub description: Option<String>,
    pub state: Option<ItemState>,
    pub project_id: Option<Uuid>,
}
